<?php
require_once("config.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/controller/Funcoes_bd.php");
$_funcoes_bd = new Funcoes_bd();
require_once($config->diretorio_raiz()."/src/controller/Funcoes_string.php");
$funcoes_string = new Funcoes_string();
		
$sql = "
select brasao, time, p, j, v, e, d, gp, gc
from (
	SELECT t.brasao, t.nome time, t.codigo cod_time, c.codigo camp_cod,
	fase.codigo cod_fase,

		(
			(	
				select count(1)*3 from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.placar_time1 > pt.placar_time2 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
			+
			(	
				select count(1)*3 from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.placar_time2 > pt.placar_time1 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
			+
			(
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.placar_time1 = pt.placar_time2 and pt.situacao = 2 and rd.fase_codigo = fase.codigo)
			+
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.placar_time2 = pt.placar_time1 and pt.situacao = 2 and rd.fase_codigo = fase.codigo)
		 )   
		as p, 
		(
			(
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.situacao = 2  and rd.fase_codigo = fase.codigo
			)
			+
			(
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
		)
		 as j,
		(
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.placar_time1 > pt.placar_time2 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
			+
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.placar_time2 > pt.placar_time1 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
		)
		as v,
		(
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.placar_time1 = pt.placar_time2 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
			+
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.placar_time2 = pt.placar_time1 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
		)
		as e,
		(
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.placar_time1 < pt.placar_time2 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
			+
			(	
				select count(1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.placar_time2 < pt.placar_time1 and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			)
		)
		as d,
		(
			COALESCE(
			(	
				select sum(pt.placar_time1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			),0)
			+
			COALESCE(
			(	
				select sum(pt.placar_time2) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			),0)
		)
		as gp,
		(
			COALESCE(
			(	
				select sum(pt.placar_time2) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time1_codigo =  t.codigo  and pt.situacao = 2 and rd.fase_codigo = fase.codigo
			),0)
			+
			COALESCE(
			(	
				select sum(pt.placar_time1) from partidas pt 
				join rodada rd on rd.codigo = pt.rodada_codigo
				where pt.time2_codigo =  t.codigo  and pt.situacao = 2  and rd.fase_codigo = fase.codigo
			),0)
		) gc
		
	FROM fase
	join campeonato c on c.codigo = fase.campeonato_codigo
	join campeonato_time ct on ct.campeonato = c.codigo
	join time t on t.codigo = ct.time
	WHERE fase.codigo = ".$_GET["fase"]."  and fase.tipo = 1
) tabela
order by p desc
";
$rows_campeonato_time = $_funcoes_bd->sql($sql);
echo "<table class='table table_classificacao'>";
echo "
<thead> 
	<tr>  
		<td></td>
		<td></td>
		<td style='text-align: left;'>Classificação</td>
		<td>P</td><td>J</td><td>V</td><td>E</td><td>D</td><td>GP</td>
		<td>GC</td><td>SG</td><td>%</td>
	</tr>
</thead>";
$posicao = 1;
foreach ($rows_campeonato_time as $row)
{
	if(($row["brasao"] != '')){$brasao =  $row["brasao"];}else{$brasao =  'sem_imagem.jpg';}
	echo "<tr> ";
	 echo "<td style='padding-right: 0px;'>". $posicao."</td>";
	 echo "<td style='text-align: left; position: relative;'><img style='height: 25px; position: absolute; top: 8px; left: 2px;' src='images/brasao/".$brasao."'>  </td>";	
	 echo "<td style='text-align: left; font-size: 13px;'> ".$funcoes_string->limitar_str($row["time"],23,"...")." </td>";
     echo "<td style='background:#e6e6e6; '>". $row["p"]."</td>";
	 echo "<td>". $row["j"]."</td>";
	 echo "<td style='background:#e6e6e6; '>". $row["v"]."</td>";
	 echo "<td>". $row["e"]."</td>";
	 echo "<td style='background:#e6e6e6; '>". $row["d"]."</td>";
	 echo "<td>". $row["gp"]."</td>";
	 echo "<td style='background:#e6e6e6; '>". $row["gc"]."</td>";
	 echo "<td>". (intval($row["gp"]) - intval($row["gc"])) ."</td>";
	 $aproveitamento = 0;
	 if (intval($row["j"]) >0 )
	 {
		$aproveitamento = round((intval($row["p"]) * 100 / (intval($row["j"])*3) ), 2);
	 }
	 echo "<td style='background:#e6e6e6; '>".number_format($aproveitamento,2,',','.')."</td>";
	 echo "</tr> ";
	 $posicao ++;
}
echo "</table>";